let mocks = {
    synchroniser: {
        load: () => { },
        lastSync: new Date().toISOString(),
        data: [
            {
                id: 1,
                name: 'test',
                variants: [
                    {
                        name: 'original',
                        range: {
                            start: 0,
                            end: 100
                        },
                        original: true,
                        code: 'control'
                    },
                    {
                        name: 'variation',
                        range: {
                            start: 0,
                            end: 0
                        },
                        original: true,
                        code: 'variant'
                    },
                ],
                tags: [],
                active: true,
                code: 'feature_abc',
                type: 'EXPERIMENT',
            },
            {
                id: 2,
                name: 'test2',
                variants: [
                    {
                        name: 'original2',
                        range: {
                            start: 0,
                            end: 50
                        },
                        original: true,
                        code: 'control'
                    },
                    {
                        name: 'variation',
                        range: {
                            start: 51,
                            end: 100
                        },
                        original: true,
                        code: 'variant'
                    },
                ],
                tags: [],
                active: true,
                code: 'feature_def',
                type: 'EXPERIMENT',
            },
            {
                id: 3,
                name: 'test3',
                variants: [
                    {
                        name: 'original_ghi',
                        range: {
                            start: 0,
                            end: 50
                        },
                        original: true,
                        code: 'original_ghi'
                    },
                    {
                        name: 'variant_1_ghi',
                        range: {
                            start: 50,
                            end: 100
                        },
                        original: false,
                        code: 'variant_1_ghi'
                    }
                ],
                tags: [
                ],
                active: true,
                code: 'feature_ghi',
                type: 'EXPERIMENT',
            },
            {
                id: 3,
                name: 'feature_paused',
                variants: [{
                    name: 'control',
                    range: {
                        start: 0,
                        end: 100
                    },
                    original: true,
                    code: 'control'
                }],
                tags: [],
                active: false,
                code: 'feature_paused',
                type: 'EXPERIMENT',
            }, {
                id: 1,
                name: 'rebalance',
                variants: [
                    {
                        name: 'control',
                        range: {
                            start: 0,
                            end: 100
                        },
                        original: true,
                        code: 'control'
                    },
                    {
                        name: 'variant',
                        range: {
                            start: 0,
                            end: 0
                        },
                        original: false,
                        code: 'variant'
                    }
                ],
                tags: [],
                active: true,
                code: 'feature_rebalance',
                type: 'EXPERIMENT',
            },
            {
                id: 1,
                name: 'feature_rebalance_toggle',
                variants: [
                    {
                        name: 'control',
                        range: {
                            start: 0,
                            end: 100
                        },
                        original: true,
                        code: 'control'
                    },
                    {
                        name: 'variant',
                        range: {
                            start: 0,
                            end: 0
                        },
                        original: false,
                        code: 'variant'
                    }
                ],
                tags: [],
                active: true,
                rebalance: true,
                code: 'feature_rebalance_toggle',
                type: 'EXPERIMENT',
            },
            {
                id: 127,
                name: 'Development Toggle',
                variants: [],
                tags: [],
                active: true,
                code: 'feature_development_toggle',
                type: 'DEVELOPMENT',
            }
        ]
    }
};

module.exports = mocks;
